#
# spec file for package perl-X11-Protocol-Other
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-X11-Protocol-Other
Version:        31
Release:        1.23
%define cpan_name X11-Protocol-Other
Summary:        Miscellaneous X11::Protocol helpers
License:        GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KR/KRYDE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(X11::Protocol)
Requires:       perl(X11::Protocol)
%{perl_requires}

%description
This is some helper functions for 'X11::Protocol'.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples
%license COPYING

%changelog
* Tue Jul 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 31
  see /usr/share/doc/packages/perl-X11-Protocol-Other/Changes
* Sun Feb 17 2019 Petr Vorel <pvorel@suse.cz>
- clean spec file with `osc service localrun format_spec_file'
- add *.changes file
